# vim:set ft=spec: -*- rpm-spec -*-

%define oname ofc

Name: lib%oname
Version: 0.7.0
Release: alt1

Summary: The Objective-C Foundation Classes (OFC) library
Group: System/Libraries
License: GPL
Url: http://ofc.dvoudheusden.net

Packager: Sir Raorn <raorn@altlinux.org>

Source: %url/download/%oname-%version.tar.gz

# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: bzlib-devel gcc-c++ gcc-objc libexpat-devel libgdbm-devel libgmp-devel libncurses-devel tetex-core zlib-devel

%description
The Objective-c foundation classes library is a general
purpose library. The classes in the library are grouped in
five clusters: data types, collections, c-wrappers, network
and compound classes. At the moment the library is still
under development.

%package devel
Summary: Objective-C Foundation Classes - development files
Group: Development/Objective-C
Requires: %name = %version-%release

%description devel
The Objective-c foundation classes library is a general
purpose library. The classes in the library are grouped in
five clusters: data types, collections, c-wrappers, network
and compound classes. At the moment the library is still
under development.

This package contains development files.

%package doc
Summary: Objective-C Foundation Classes - documentation
Group: Documentation
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%description doc
The Objective-c foundation classes library is a general
purpose library. The classes in the library are grouped in
five clusters: data types, collections, c-wrappers, network
and compound classes. At the moment the library is still
under development.

This package contains documentaion.

%prep
%setup -q -n %oname-%version

%build
%configure \
	--enable-shared \
	--disable-static
%make_build
%make_build -C tex tex

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS NEWS README ChangeLog
%_libdir/lib%oname-*.so.*

%files devel
%_bindir/%oname-config
%dir %_includedir/%oname
%_includedir/%oname/*
%_libdir/lib%oname.so

%files doc
%doc html tex/*.pdf

%changelog
* Sat Jul 22 2006 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- Built for Sisyphus

